"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isInIter(item, iter, compare = isInIter.DEFAULT_COMPARATOR) {
    for (const element of iter) {
        if (compare(item, element)) {
            return true;
        }
    }
    return false;
}
exports.isInIter = isInIter;
(function (isInIter) {
    isInIter.DEFAULT_COMPARATOR = Object.is;
})(isInIter = exports.isInIter || (exports.isInIter = {}));
exports.default = isInIter;
//# sourceMappingURL=in-iter.js.map