"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const immutable_1 = tslib_1.__importDefault(require("immutable"));
function identify(id, map, identifier = identify.DEFAULT_IDENTIFIER) {
    return immutable_1.default
        .List(map.keys())
        .find(idx => identifier(id, idx));
}
exports.identify = identify;
(function (identify) {
    identify.DEFAULT_IDENTIFIER = Object.is;
})(identify = exports.identify || (exports.identify = {}));
exports.default = identify;
//# sourceMappingURL=identify.js.map