"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function* repeat(iter, times) {
    if (times <= 0)
        return;
    yield* iter;
    yield* repeat(iter, times - 1);
}
exports.repeat = repeat;
(function (repeat) {
    repeat.element = (x, times) => repeat([x], times);
})(repeat = exports.repeat || (exports.repeat = {}));
exports.default = repeat;
//# sourceMappingURL=index.js.map