"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VERSION = /[0-9]+\.[0-9]+\.[0-9]+(?:-|$)/;
var versionRequirement;
(function (versionRequirement) {
    versionRequirement.ANY = /^(?:\*|x\.x\.x)$/;
    versionRequirement.EQUAL = /^=?[0-9]+\.[0-9]+\.[0-9]+(?:-|$)/;
    versionRequirement.TILDE = /^~[0-9]+\.[0-9]+\.[0-9]+(?:-|$)/;
    versionRequirement.CARET = /^\^[0-9]+\.[0-9]+\.[0-9]+(?:-|$)/;
    versionRequirement.PATCH = /^[0-9]+\.[0-9]+\.x/;
    versionRequirement.MINOR = /^[0-9]+\.x\.x/;
    versionRequirement.MAJOR = /^x\.x\.x/;
})(versionRequirement = exports.versionRequirement || (exports.versionRequirement = {}));
//# sourceMappingURL=index.js.map