export declare type Iter<X> = IterableIterator<X>;
export declare function urge<X>(iterable: Iterable<X>, partLength: number, handleRemain?: urge.RemainingHandler<X>): Iter<ReadonlyArray<X>>;
export declare namespace urge {
    const OMIT_EMPTY_REMAINING_PART: <X>(x: readonly X[]) => (readonly X[])[];
    const KEEP_REMAINING_PART: <X>(x: X) => X[];
    const OMIT_REMAINING_PART: () => never[];
    const DEFAULT_REMAINING_HANDLER: <X>(x: readonly X[]) => (readonly X[])[];
    type RemainingHandler<X> = (tray: ReadonlyArray<X>) => Iterable<ReadonlyArray<X>>;
}
export default urge;
