"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function wrapErrorThrowing(fn, handleError) {
    return handleError
        ? (x) => {
            try {
                return fn(x);
            }
            catch (error) {
                return handleError(error, x);
            }
        }
        : fn;
}
exports.wrapErrorThrowing = wrapErrorThrowing;
exports.default = wrapErrorThrowing;
//# sourceMappingURL=index.js.map