"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function wrapPromiseRejection(fn, handleRejection) {
    const promisified = async (x) => fn(x);
    return handleRejection
        ? (x) => promisified(x).catch(reason => handleRejection(reason, x))
        : promisified;
}
exports.wrapPromiseRejection = wrapPromiseRejection;
exports.default = wrapPromiseRejection;
//# sourceMappingURL=index.js.map